package de.hems.trafficsim;

public class VehicleTimeRecord {
    protected int id;
    protected float position;
    protected float velocity;
    protected float maxVelocity;

    public float getMaxVelocity() {
        return maxVelocity;
    }

    public float getPosition() {
        return position;
    }

    public float getVelocity() {
        return velocity;
    }

    public VehicleTimeRecord(int id, float position, float velocity, float maxVelocity) {
        this.id = id;
        this.position = position;
        this.velocity = velocity;
        this.maxVelocity = maxVelocity;
    }
}
